#ifndef ZTSETTINGS_H
#define ZTSETTINGS_H

#include "GlobalDefine.h"
#include "ZTData.h"

class CZTSettingsFileMgr
{
public:
    CZTSettingsFileMgr();

    unsigned int LoadSettings(CZTSettingsData *SettingsData);
    unsigned int SaveSettings(CZTSettingsData *SettingsData);
    void LoadDefaultSettings(CZTSettingsData *SettingsData);
    void LogSettings(CZTSettingsData *SettingsData,bool LogStationName = false);
    void SetStationName(QString StationName);

private:
    QString mStationName;


};

#endif // ZTSETTINGS_H
